List all available rewards for a customer

This endpoints provides the list of all available rewards for a specific customer.

Path Params
string
required

Unique customer ID. This can be

  • The Antavo customer ID
  • An external ID (requires configuration): {external_field:external_id_value}
Query Params
string
enum

Comma separated list of non-standard fields to be included in the response. Accepted values:

  • claims: See the claimed rewards and associated information for each currently available reward.

  • custom_data: Access this field set in the reward configuration.

  • gallery: Provides, where available, image links specified in the reward configuration.

  • instructions: Access redeem instructions set in the reward configuration.

  • terms: Access terms and conditions set in the reward configuration.

  • Any custom attributes configued in the Entities module with cf_ prefix.

Allowed:
integer
Defaults to 100

Limits the number of rewards to be returned in one response. Other values are accessible by pagination made accessible via the offset.

integer
Defaults to 0

Offsets the starting number of rewards to return. This is used in pagination in conjunction with the limit query.

string

Sorts the results by the selected value, which can be starts_at, ends_at, or order. This query can be used in conjunction with the order query.

string

Used in conjunction with the sort query to list the results in ascending or descending order. The value can be asc for an ascending order or desc for a descending order.

Responses

Language
Credentials
Query
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json